@echo off

:start0

cd /d %~dp0
cd

echo ==========================
echo RuoYi-fast-4.8.0
echo ==========================
echo 说明：本示例基于RuoYi-fast-4.8.0（ https://github.com/yangzongzhuan/RuoYi-fast ），需要本机安装JDK8，可用idea、eclipse导入运行，也可以直接使用本命令菜单，本命令使用mvnw.cmd下载安装所需内容并运行。
echo 如果本机没有maven相关环境，首次运行mvnw install可能需要从外网下载，需要5-10分钟甚至更久，请耐心等待。
echo ...
echo 操作菜单：
echo 1.执行mvnw install，下载安装编译打包
echo 2.运行target/jar，启动服务
echo 3.进入命令行
echo 4.打开资源管理器
echo 5.恢复初始数据
echo 6.退出
echo ...
choice /c 123456 /m "请选择操作"

if %errorlevel%==1 goto fun1
if %errorlevel%==2 goto fun2
if %errorlevel%==3 goto fun3
if %errorlevel%==4 goto fun4
if %errorlevel%==5 goto fun5
if %errorlevel%==6 goto fun6

:fun1
echo 拷贝数据库文件...
echo n|copy /-y ezrytest_db_init.mv.db ezrytest_db.mv.db
echo 执行mvnw install命令，下载安装引用支撑包并编译打包生成jar（首次运行可能需要较长时间）...
echo mvnw install ...
call mvnw install
goto start0

:fun2
echo ...
echo 运行target/jar，启动服务...
call java -jar target\ruoyi.jar --upcmd="cmd /c start http://localhost:80/"
goto start0


:fun3
cmd
goto start0

:fun4
start explorer %~dp0
goto start0

:fun5
echo 恢复初始数据 ezrytest_db.mv.db...
del ezrytest_db.mv.db
copy /y ezrytest_db_init.mv.db ezrytest_db.mv.db
echo done!
goto start0

:fun6
cd ..
echo 正在退出...
choice /t 1 /d y /n>nul

